<template>
  <div class="q-pt-xs">
    <q-item
      class="no-padding"
      dense
    >
      <q-item-section
        class="no-padding"
        side
      >
        <q-toggle v-model="value.accepted" />
      </q-item-section>

      <q-item-section>
        <q-item-label>
          Li e concordo com os

          <a
            class="cursor-pointer text-primary"
            style="text-decoration: none"
            href="/#/terms"
            target="_blank"
          >
            Termos de Uso
          </a>

          e com a

          <a
            class="cursor-pointer text-primary"
            style="text-decoration: none"
            href="/#/policy"
            target="_blank"
          >
            Política de Privacidade
          </a>
        </q-item-label>
      </q-item-section>
    </q-item>

    <q-item
      v-if="vuelidate.accepted.$error"
      :inset-level="0.72"
      dense
    >
      <q-item-section
        class="no-padding"
        top
      >
        <q-item-label
          class="text-negative"
          caption
        >
          Para continuar, você deve aceitar os termos e a política
        </q-item-label>
      </q-item-section>
    </q-item>
  </div>
</template>

<script>
export default {
  name: 'Terms',
  props: {
    value: {
      type: Object,
      default: () => ({ accepted: false })
    },
    vuelidate: {
      type: Object,
      default: () => ({})
    }
  }
}
</script>
